Skip to content

Resource Types

Discover the types of resources available on SCIM service provider (e.g., Users and Groups).

Retrieve resource types

Request

This operation is used to discover the types of resources available on a SCIM service provider (e.g., Users and Groups). Each resource type defines the endpoints, the core schema URI that defines the resource, and any supported schema extensions.

Note: The attributes defining a resource type can be found in Section 6 of [RFC7643]

Security
BearerAuth
GET
/scim/v2/ResourceTypes
curl -i -X GET \
  https://innovario.apishowdown.com/_mock/catalog/api-showdown/api-hub/admin/openapi/scim/v2/ResourceTypes \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful GET operation

Bodyapplication/json
Array [
schemasArray of stringsrequired
idstring

The resource type's server unique id.

namestringrequired

The resource type name.

descriptionstring

The resource type's human-readable description.

endpointstringrequired

The resource type's HTTP-addressable endpoint relative to the Base URL of the service provider.

schemastringrequired

The resource type's primary/base schema URI

schemaExtensionsArray of objects(SchemaExtension)
]
Response
[ { "schemas": [], "id": "User", "name": "User", "endpoint": "/Users", "description": "User Account", "schema": "urn:ietf:params:scim:schemas:core:2.0:User", "schemaExtensions": [], "meta": {} }, { "schemas": [], "id": "Group", "name": "Group", "endpoint": "/Groups", "description": "Group", "schema": "urn:ietf:params:scim:schemas:core:2.0:Group", "meta": {} } ]